=== debian/changelog ===
getpath (1.1) unstable; urgency=low

  * Updated my e-mail and rebuilt the binaries.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Wed,  5 Jan 2011 13:30:13 -0800

getpath (1.0) unstable; urgency=low

  * Added the initial debian control files to the getpath package.

 -- Jacob Luna Lundberg <jacob@chaos2.org>  Thu, 30 Aug 2001 01:36:35 -0700
