=== debian/control ===
Source: getpath
Section: base
Priority: optional
Maintainer: Jacob Luna Lundberg <jacob@gnifty.net>
Standards-Version: 3.9.1

Package: getpath
Architecture: any
Section: base
Priority: optional
Depends: debconf
Description: Simple path management tool
 The purpose of getpath is to make it easier for users and administrators
 to set up their environment PATH variables.  Defaults and user specific
 settings are moved from login shell scripts to conf files.
